package uebung10.logo;

public class Go implements Stmt{

    public final double dist;

    public Go(double dist) {
        if (dist < 0) {
            throw new IllegalArgumentException();
        }
        this.dist = dist;
    }

    @Override
    public <T> T accept(Visitor<T> visitor) {
        return visitor.visit(this);
    }
}
